local MSG = require "api_msg"
local dest = {}
local is_ok, FEATURES = pcall(dofile, "/usr/share/lua/5.3/features.lua")

function dest.general_get()
    local result =  {
        WifiShow = is_ok and FEATURES.FEATURE_SUPPORT_WIFI,
        logoImgUrl = is_ok and FEATURES.FEATURE_SUPPORT_LOGO or "",
        loginImgUrl = is_ok and FEATURES.FEATURE_SUPPORT_LOGIN_LOGO or "",
        logoImgShow = true,
        loginImgShow = true,
        languageShow = true,
        kvd_software = true, 
        languageOptions = {
            {
                value = "zh",
                name = "简体中文",
            }, 
            {
                value = "tw",
                name = "繁体中文"
            }, 
            {
                value = "en",
                default = true,
                name = "English"
            }
        },

    }
    MSG.OK("", {data = result})
end

return dest
