print("Running File __tds__GetUsers.lua")
local response = {
	User = {
		{ Username = "admin", --[[Password = "admin",]] UserLevel = tt__UserLevel__Administrator }
	}
}

local MAX_USERS = 10

local i
for i=0, MAX_USERS-1 do
	if onvif.users[i] and onvif.users[i].username ~= "" then
		local item = { Username = onvif.users[i].username }
		if onvif.users[i].role == "admin" then
			item.UserLevel = tt__UserLevel__Administrator
		elseif onvif.users[i].role == "operator" then
			item.UserLevel = tt__UserLevel__Operator
		elseif onvif.users[i].role == "user" then
			item.UserLevel = tt__UserLevel__User
		elseif onvif.users[i].role == "anonymous" then
			item.UserLevel = tt__UserLevel__Anonymous
		elseif onvif.users[i].role == "extended" then
			item.UserLevel = tt__UserLevel__Extended
		end
		table.insert( response.User, item )
	end
end

return response


--[==[ *ABSTRACT* The 'response' arguments:
{
	__sizeUser: <int>
	User[...]: 
	{
		Username: <char*> (!)
		Password: <char*>
		UserLevel: (!)
		(
			tt__UserLevel__Administrator: 0,
			tt__UserLevel__Operator: 1,
			tt__UserLevel__User: 2,
			tt__UserLevel__Anonymous: 3,
			tt__UserLevel__Extended: 4,
		)
		Extension: 
		{
			__size: <int>
			__any: <_XML>
		}
		__anyAttribute: <_XML>
	}
}
]==]


