print("Running File __tds__SetSystemFactoryDefault.lua")
local args = {...}
local request = args[1]
if not request then
	error( "Invalid request argument passed!" )
end

if request.FactoryDefault == tt__FactoryDefaultType__Soft then
	--Software reset, so reset the parameters but no network addresses changing.
	os.execute( "/bin/rm -Rf /data/configs/*.conf" )
	os.execute("/bin/sync")
	_G.REBOOT_REQUIRE = true
else
	local r, store = pcall( require, "system.restore" )
	if r and store then
		print(store())
		os.execute("/bin/sync")
		_G.REBOOT_REQUIRE = true
	else
		print( "***WARNING: No corresponding device type restore module found!", store )
	end
end

return {}

--NOTE: SVC_OK = 0, SVC_NOIMPL = 1

