print("Running File __timg__GetMoveOptions.lua")
local args = {...}
local request = args[1]
local response --Default be Nil, and return it back!
if not request then
	error( "Invalid request argument passed!" )
end

--TODO: Check the 'request' arguments, and fill the 'response' arguments, see <same-name>.txt file for reference.

--[==[ *ABSTRACT* The 'request' arguments:
{
	VideoSourceToken: <char*> (!)
}
]==]

return {
	MoveOptions = {
		Absolute = {
			Position = { Min=0, Max=100 },
			Speed = { Min=0, Max=1 }
		},
		
		Relative = {
			Distance = { Min=-100, Max=100 },
			Speed = { Min=0, Max=1 }
		},
		
		Continuous = {
			Speed = { Min=-1, Max=1 }
		}
	}
}

--[==[ *ABSTRACT* The 'response' arguments:
{
	MoveOptions: (!)
	{
		Absolute: 
		{
			Position: (!)
			{
				Min: <float> (!)
				Max: <float> (!)
			}
			Speed: 
			{
				Min: <float> (!)
				Max: <float> (!)
			}
		}
		Relative: 
		{
			Distance: (!)
			{
				Min: <float> (!)
				Max: <float> (!)
			}
			Speed: 
			{
				Min: <float> (!)
				Max: <float> (!)
			}
		}
		Continuous: 
		{
			Speed: (!)
			{
				Min: <float> (!)
				Max: <float> (!)
			}
		}
	}
}
]==]


