print("Running File __timg__Stop.lua")
local args = {...}
local request = args[1]
pcall( require, "features" )
if not request then
	error( "Invalid request argument passed!" )
end

local ptz = require "ptzModule"
if not ptz or not ptz.ptz_obj then
	return SVC_OK
end

if _G.OEM_TYPE == "E1_BOCOM" then
	print( "IMG: Stop iris(BOCOM)..." )
	ptz.ptz_obj:StopIris()
else
	print( "IMG: Stop focus..." )
	ptz.ptz_obj:StopFocus()
end

return SVC_OK

--[==[ *ABSTRACT* The 'request' arguments:
{
	VideoSourceToken: <char*> (!)
}
]==]

--[==[ *ABSTRACT* The 'response' arguments:
{
}
]==]

--NOTE: SVC_OK = 0, SVC_NOIMPL = 1

