print("Running File __tptz__GetPresetTourOptions.lua")
local args = {...}
local request = args[1]
if not request then
	error( "Invalid request argument passed!" )
end

return SVC_NOIMPL


--[==[ *ABSTRACT* The 'request' arguments:
{
	ProfileToken: <char*> (!)
	PresetTourToken: <char*>
}
]==]

--[==[ *ABSTRACT* The 'response' arguments:
{
	Options: (!)
	{
		AutoStart: (!)
		(
			xsd__boolean__false_: 0,
			xsd__boolean__true_: 1,
		)
		StartingCondition: (!)
		{
			RecurringTime: 
			{
				Min: <int> (!)
				Max: <int> (!)
			}
			RecurringDuration: 
			{
				Min: <LONG64> (!)
				Max: <LONG64> (!)
			}
			__sizeDirection: <int>
			Direction[...]: 
			(
				tt__PTZPresetTourDirection__Forward: 0,
				tt__PTZPresetTourDirection__Backward: 1,
				tt__PTZPresetTourDirection__Extended: 2,
			)
			Extension: 
			{
				__size: <int>
				__any: <_XML>
			}
			__anyAttribute: <_XML>
		}
		TourSpot: (!)
		{
			PresetDetail: (!)
			{
				__sizePresetToken: <int>
				PresetToken: <char**>
				Home: 
				(
					xsd__boolean__false_: 0,
					xsd__boolean__true_: 1,
				)
				PanTiltPositionSpace: 
				{
					URI: <char*> (!)
					XRange: (!)
					{
						Min: <float> (!)
						Max: <float> (!)
					}
					YRange: (!)
					{
						Min: <float> (!)
						Max: <float> (!)
					}
				}
				ZoomPositionSpace: 
				{
					URI: <char*> (!)
					XRange: (!)
					{
						Min: <float> (!)
						Max: <float> (!)
					}
				}
				Extension: 
				{
					__size: <int>
					__any: <_XML>
				}
				__anyAttribute: <_XML>
			}
			StayTime: (!)
			{
				Min: <LONG64> (!)
				Max: <LONG64> (!)
			}
			__size: <int>
			__any: <_XML>
			__anyAttribute: <_XML>
		}
		__size: <int>
		__any: <_XML>
		__anyAttribute: <_XML>
	}
}
]==]

--NOTE: SVC_OK = 0, SVC_NOIMPL = 1

