local CO = require "api_coservice"
local MSG = require "api_msg"
local cjson = require "cjson"
local module_name = ngx.var.module_name
local object_name = ngx.var.object_name

if not (module_name == "pic" and object_name == "add") then
    return
end

local proxy = CO.GetProxy( "/pics", "picManager", "local", 2 )
if not proxy then
    MSG.ERROR("picMangerError")
    return ngx.exit(200)
end
local is_ok, skip = proxy.CheckIdentifying()
proxy:Destroy()
if not is_ok or not skip then
    MSG.ERROR("Converting! Please try it again later!")
    return ngx.exit(200)
end