local function convert(inputFile,outputFile, type)
    type = type or "rgba"
    local fileIn,err = io.open(inputFile,"rb")
    local content = fileIn:read("*all")
    local length = fileIn:seek("end")
    fileIn:close()
    local fileOut,err = io.open(outputFile,"wb")
    fileOut:seek("set",0)
    local item
    local index = 1
    for i=1,length/4 do
        if type == "rgba" then
            R=string.byte(content,index+0)
            G=string.byte(content,index+1)
            B=string.byte(content,index+2)
            A=string.byte(content,index+3)
        else
            A=string.byte(content,index+0)
            R=string.byte(content,index+1)
            G=string.byte(content,index+2)
            B=string.byte(content,index+3)
        end

        index = index + 4
        a=0
        -- print(index)
        if A >= 128 then
            a = 0x8000
        end
        _Value = (a | ((R & 0xF8) << 7) | ((G & 0xF8) << 2) | (B >> 3))
        -- print(_Value)
        local raw_packet = {
            _Value&0xFF, (_Value>>8)&0xFF
        }
    
        fileOut:write(string.char( table.unpack(raw_packet)))
    end
    fileOut:close()
end

convert(arg[1], arg[1], arg[2])