print("Running File __tds__GetServices.lua")
local args = {...}
local request = args[1]
if not request then
	error( "Invalid request argument passed!" )
end

--[==[ *ABSTRACT* The 'request' arguments:
{
	IncludeCapability: (!)
	(
		xsd__boolean__false_: 0,
		xsd__boolean__true_: 1,
	)
}
]==]
local hostAddr = GLOBAL_INFO.GetHostAddress()

return {
	Service = {
		{ 
			Namespace = "http://www.onvif.org/ver10/device/wsdl",
			XAddr = "http://" .. hostAddr .. "/onvif/device_service",
			Version = { Major = 1, Minor = 0 },
		},
--[[
		{ 
			Namespace = "http://www.onvif.org/ver20/analytics/wsdl",
			XAddr = "http://" .. hostAddr .. "/onvif/analytics_service",
			Version = { Major = 2, Minor = 0 },
		},
]]

		{ 
			Namespace = "http://www.onvif.org/ver20/imaging/wsdl",
			XAddr = "http://" .. hostAddr .. "/onvif/imaging_service",
			Version = { Major = 2, Minor = 0 },
		},

		{ 
			Namespace = "http://www.onvif.org/ver10/media/wsdl",
			XAddr = "http://" .. hostAddr .. "/onvif/media_service",
			Version = { Major = 1, Minor = 0 },
		},
--[[
		{ 
			Namespace = "http://www.onvif.org/ver10/events/wsdl",
			XAddr = "http://" .. hostAddr .. "/onvif/event_service",
			Version = { Major = 1, Minor = 0 },
		},
]]
		{ 
			Namespace = "http://www.onvif.org/ver10/deviceIO/wsdl",
			XAddr = "http://" .. hostAddr .. "/onvif/deviceIO_service",
			Version = { Major = 1, Minor = 0 },
		},

		{ 
			Namespace = "http://www.onvif.org/ver20/ptz/wsdl",
			XAddr = "http://" .. hostAddr .. "/onvif/ptz_service",
			Version = { Major = 2, Minor = 0 },
		},
	}
}

--[==[ *ABSTRACT* The 'response' arguments:
{
	__sizeService: <int> (!)
	Service[...]: (!)
	{
		Namespace: <char*> (!)
		XAddr: <char*> (!)
		Capabilities: 
		{
			__any: <_XML>
		}
		Version: (!)
		{
			Major: <int> (!)
			Minor: <int> (!)
		}
		__size: <int>
		__any: <_XML>
		__anyAttribute: <_XML>
	}
}
]==]

--NOTE: SVC_OK = 0, SVC_NOIMPL = 1

