print("Running File __tds__SetDiscoveryMode.lua")
local args = {...}
local request = args[1]

if not request then
	error( "Invalid request argument passed!" )
end

if request.DiscoveryMode == tt__DiscoveryMode__NonDiscoverable then
	_G.onvif.discoverable = 0
else
	_G.onvif.discoverable = 1
end

_G.onvif:__TRIGGER(true)

--[==[ *ABSTRACT* The 'request' arguments:
{
	DiscoveryMode: (!)
	(
		tt__DiscoveryMode__Discoverable: 0,
		tt__DiscoveryMode__NonDiscoverable: 1,
	)
}
]==]

return SVC_OK

