print("Running File __tds__SetScopes.lua")
local args = {...}
local request = args[1]
if not request then
	error( "Invalid request argument passed!" )
end

local function CheckOption(opt)
	local k,v
	k,v = opt:match( "(name):(.+)" )
	if k and v then
		return k,v
	end
	
	k,v = opt:match( "/(name)/(.+)" )
	if k and v then
		return k,v
	end
	
	k,v = opt:match( "(location):(.+)" )
	if k and v then
		return k,v
	end
	
	k,v = opt:match( "/(location)/(.+)" )
	if k and v then
		return k,v
	end
	
	k,v = opt:match( "(hardware):(.+)" )
	if k and v then
		return k,v
	end
	
	k,v = opt:match( "/(hardware)/(.+)" )
	if k and v then
		return k,v
	end
	
	return nil, nil
end


if type(request.Scopes) == "table" then
	for i=1, #request.Scopes do
		local k, v = CheckOption( request.Scopes[i] )
		if k and v then
			if k == "name" then
				_G.onvif.deviceName = v
			elseif k == "location" then
				_G.onvif.location = v
			elseif k == "hardware" then
				_G.onvif.deviceType = v
			end
		end
	end
	_G.onvif:__TRIGGER(true)
end

return SVC_OK

