print("Running File __tev__Subscribe.lua")
local args = {...}
local request = args[1]
if not request then
	error( "Invalid request argument passed!" )
end

--[==[ *ABSTRACT* The 'request' arguments:
{
	ConsumerReference: (!)
	{
		Address: <char*> (!)
		ReferenceParameters: 
		{
			chan__ChannelInstance: <int*>
			__size: <int>
			__any: <_XML*>
			__anyAttribute: <_XML>
		}
		Metadata: 
		{
			__size: <int>
			__any: <_XML*>
			__anyAttribute: <_XML>
		}
		__size: <int>
		__any: <_XML*>
		__anyAttribute: <_XML>
	}
	Filter: 
	{
		__size: <int>
		__any: <_XML>
	}
	InitialTerminationTime: <char*>
	SubscriptionPolicy: 
	{
		__size: <int>
		__any: <_XML>
	}
	__size: <int>
	__any: <_XML>
}
]==]

--[==[ *ABSTRACT* The 'response' arguments:
{
	SubscriptionReference: (!)
	{
		Address: <char*> (!)
		ReferenceParameters: 
		{
			chan__ChannelInstance: <int*>
			__size: <int>
			__any: <_XML*>
			__anyAttribute: <_XML>
		}
		Metadata: 
		{
			__size: <int>
			__any: <_XML*>
			__anyAttribute: <_XML>
		}
		__size: <int>
		__any: <_XML*>
		__anyAttribute: <_XML>
	}
	CurrentTime: <time_t*>
	TerminationTime: <time_t*>
	__size: <int>
	__any: <_XML>
}
]==]

--TODO:
return 0


