print("Running File __timg__GetStatus.lua")
local args = {...}
local request = args[1]
if not request then
	error( "Invalid request argument passed!" )
end

return {
	Status = {
		FocusStatus20 = {
			Position = 10,
			MoveStatus = 0
		}
	}
}
--[==[ *ABSTRACT* The 'request' arguments:
{
	VideoSourceToken: <char*> (!)
}
]==]

--[==[ *ABSTRACT* The 'response' arguments:
{
	Status: (!)
	{
		FocusStatus20: 
		{
			Position: <float> (!)
			MoveStatus: (!)
			(
				tt__MoveStatus__IDLE: 0,
				tt__MoveStatus__MOVING: 1,
				tt__MoveStatus__UNKNOWN: 2,
			)
			Error: <char*>
			Extension: 
			{
				__size: <int>
				__any: <_XML>
			}
			__anyAttribute: <_XML>
		}
		Extension: 
		{
			__size: <int>
			__any: <_XML>
		}
		__anyAttribute: <_XML>
	}
}
]==]

--NOTE: SVC_OK = 0, SVC_NOIMPL = 1

