print("Running File __tptz__SetHomePosition.lua")
local args = {...}
local request = args[1]
if not request then
	error( "Invalid request argument passed!" )
end


local GetProxy = require "GetProxy"
local proxy = GetProxy("/PTZ", "ptz")
if not proxy then
	return SVC_OK
end

local is_ok, data = proxy.GetInfo()
if data then
	data.presets[0] = data.presets[0] or {}
	data.presets[0].token = "9999"
	data.presets[0].name = "Home position"
	proxy.Update(data)
	proxy.PTZObjControl("SavePreset", 0)
end

--[==[ *ABSTRACT* The 'request' arguments:
{
	ProfileToken: <char*> (!)
}
]==]

--[==[ *ABSTRACT* The 'response' arguments:
{
}
]==]

return SVC_OK

--NOTE: SVC_OK = 0, SVC_NOIMPL = 1

