#!/bin/sh
#TODO: Some checks.
export PATH=/bin:/sbin:/usr/bin:/usr/sbin

LOCPATH=$1 
if [ "$LOCPATH" = "" ]; then
	LOCPATH=/tmp/.fw_upgrade
fi          

#Drop core dump files.
#rm -Rf /var/lib/systemd/coredump/*

#Now the log is compressed as '.tar.gz'
#find /var/log -name "*-???.log" | xargs -r tar czf old-logs.tar.gz
find /var/log -name "*-???.log" -exec rm '{}' ';' || true
mkdir -p /data/update

if [ -f "$LOCPATH/patch.tar.gz" -a -f "$LOCPATH/upgrade.sh" ]; then
	cp -Rf "$LOCPATH/patch.tar.gz" /data/update/patch.tar.gz
	cp -Rf "$LOCPATH/upgrade.sh" /data/update/upgrade.sh
	chmod +x /data/update/upgrade.sh
	exit 0 
else        
	exit 1 #No upgrading firmware
fi          

exit 1 
